#-------------------------------------------------
#
# Project created by QtCreator 2014-09-28T12:38:17
#
#-------------------------------------------------

QT  += core gui
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets printsupport

TARGET = QSmithTool
TEMPLATE = app

CONFIG(release, debug|release) {
    #This is a release build
    #DEFINES += QT_NO_DEBUG_OUTPUT
} else {
    #This is a debug build
}

# Tell the qcustomplot header that it will be used as library:
DEFINES += QCUSTOMPLOT_USE_LIBRARY

# Link with debug version of qcustomplot if compiling in debug mode, else with release library:
CONFIG(debug, release|debug) {
  win32:QCPLIB = qcustomplotd1
  else: QCPLIB = qcustomplotd
} else {
  win32:QCPLIB = qcustomplot1
  else: QCPLIB = qcustomplot
}
LIBS += -L./ -l$$QCPLIB


SOURCES += main.cpp\
        mainwindow.cpp \
    smithchart.cpp \
    circuitSimulation.cpp \
    circuit.cpp \
    component.cpp \
    dialogPointsConfig.cpp \
    rfFctsLibrary.cpp \
    dialogParametersDiscrete.cpp \
    dialogParametersLine.cpp \
    bezierCurves.cpp \
    returnLossChart.cpp

HEADERS  += mainwindow.h \
    smithchart.h \
    circuitSimulation.h \
    component.h \
    circuit.h \
    dialogPointsConfig.h \
    rfFctsLibrary.h \
    dialogParametersDiscrete.h \
    dialogParametersLine.h \
    bezierCurves.h \
    returnLossChart.h \
    defines.h \
    chartLinesList.h

TRANSLATIONS = QSmithTool_en.ts QSmithTool_fr.ts

FORMS    +=

RC_FILE  += myAppIconRes.rc

RESOURCES += \
    myres.qrc


